"use strict";

var _LinkedList = _interopRequireDefault(require("../../../../data-structures/linked-list/LinkedList"));

var _traversal = _interopRequireDefault(require("../traversal"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('traversal', () => {
  it('should traverse linked list', () => {
    const linkedList = new _LinkedList.default();
    linkedList.append(1).append(2).append(3);
    const traversedNodeValues = [];

    const traversalCallback = nodeValue => {
      traversedNodeValues.push(nodeValue);
    };

    (0, _traversal.default)(linkedList, traversalCallback);
    expect(traversedNodeValues).toEqual([1, 2, 3]);
  });
});