"use strict";

var _bitLength = _interopRequireDefault(require("../bitLength"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('bitLength', () => {
  it('should calculate number of bits that the number is consists of', () => {
    expect((0, _bitLength.default)(0b0)).toBe(0);
    expect((0, _bitLength.default)(0b1)).toBe(1);
    expect((0, _bitLength.default)(0b01)).toBe(1);
    expect((0, _bitLength.default)(0b101)).toBe(3);
    expect((0, _bitLength.default)(0b0101)).toBe(3);
    expect((0, _bitLength.default)(0b10101)).toBe(5);
    expect((0, _bitLength.default)(0b11110101)).toBe(8);
    expect((0, _bitLength.default)(0b00011110101)).toBe(8);
  });
});