"use strict";

var _isEven = _interopRequireDefault(require("../isEven"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('isEven', () => {
  it('should detect if a number is even', () => {
    expect((0, _isEven.default)(0)).toBe(true);
    expect((0, _isEven.default)(2)).toBe(true);
    expect((0, _isEven.default)(-2)).toBe(true);
    expect((0, _isEven.default)(1)).toBe(false);
    expect((0, _isEven.default)(-1)).toBe(false);
    expect((0, _isEven.default)(-3)).toBe(false);
    expect((0, _isEven.default)(3)).toBe(false);
    expect((0, _isEven.default)(8)).toBe(true);
    expect((0, _isEven.default)(9)).toBe(false);
    expect((0, _isEven.default)(121)).toBe(false);
    expect((0, _isEven.default)(122)).toBe(true);
    expect((0, _isEven.default)(1201)).toBe(false);
    expect((0, _isEven.default)(1202)).toBe(true);
  });
});