"use strict";

var _isPowerOfTwoBitwise = _interopRequireDefault(require("../isPowerOfTwoBitwise"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('isPowerOfTwoBitwise', () => {
  it('should check if the number is made by multiplying twos', () => {
    expect((0, _isPowerOfTwoBitwise.default)(-1)).toBe(false);
    expect((0, _isPowerOfTwoBitwise.default)(0)).toBe(false);
    expect((0, _isPowerOfTwoBitwise.default)(1)).toBe(true);
    expect((0, _isPowerOfTwoBitwise.default)(2)).toBe(true);
    expect((0, _isPowerOfTwoBitwise.default)(3)).toBe(false);
    expect((0, _isPowerOfTwoBitwise.default)(4)).toBe(true);
    expect((0, _isPowerOfTwoBitwise.default)(5)).toBe(false);
    expect((0, _isPowerOfTwoBitwise.default)(6)).toBe(false);
    expect((0, _isPowerOfTwoBitwise.default)(7)).toBe(false);
    expect((0, _isPowerOfTwoBitwise.default)(8)).toBe(true);
    expect((0, _isPowerOfTwoBitwise.default)(10)).toBe(false);
    expect((0, _isPowerOfTwoBitwise.default)(12)).toBe(false);
    expect((0, _isPowerOfTwoBitwise.default)(16)).toBe(true);
    expect((0, _isPowerOfTwoBitwise.default)(31)).toBe(false);
    expect((0, _isPowerOfTwoBitwise.default)(64)).toBe(true);
    expect((0, _isPowerOfTwoBitwise.default)(1024)).toBe(true);
    expect((0, _isPowerOfTwoBitwise.default)(1023)).toBe(false);
  });
});