"use strict";

var _fisherYates = _interopRequireDefault(require("../fisherYates"));

var _SortTester = require("../../../sorting/SortTester");

var _QuickSort = _interopRequireDefault(require("../../../sorting/quick-sort/QuickSort"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('fisherYates', () => {
  it('should shuffle small arrays', () => {
    expect((0, _fisherYates.default)([])).toEqual([]);
    expect((0, _fisherYates.default)([1])).toEqual([1]);
  });
  it('should shuffle array randomly', () => {
    const shuffledArray = (0, _fisherYates.default)(_SortTester.sortedArr);
    const sorter = new _QuickSort.default();
    expect(shuffledArray.length).toBe(_SortTester.sortedArr.length);
    expect(shuffledArray).not.toEqual(_SortTester.sortedArr);
    expect(sorter.sort(shuffledArray)).toEqual(_SortTester.sortedArr);
  });
});