"use strict";

var _countSetBits = _interopRequireDefault(require("../countSetBits"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('countSetBits', () => {
  it('should return number of set bits', () => {
    expect((0, _countSetBits.default)(0)).toBe(0);
    expect((0, _countSetBits.default)(1)).toBe(1);
    expect((0, _countSetBits.default)(2)).toBe(1);
    expect((0, _countSetBits.default)(3)).toBe(2);
    expect((0, _countSetBits.default)(4)).toBe(1);
    expect((0, _countSetBits.default)(5)).toBe(2);
    expect((0, _countSetBits.default)(21)).toBe(3);
    expect((0, _countSetBits.default)(255)).toBe(8);
    expect((0, _countSetBits.default)(1023)).toBe(10);
  });
});