"use strict";

var _isPositive = _interopRequireDefault(require("../isPositive"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('isPositive', () => {
  it('should detect if a number is positive', () => {
    expect((0, _isPositive.default)(1)).toBe(true);
    expect((0, _isPositive.default)(2)).toBe(true);
    expect((0, _isPositive.default)(3)).toBe(true);
    expect((0, _isPositive.default)(5665)).toBe(true);
    expect((0, _isPositive.default)(56644325)).toBe(true);
    expect((0, _isPositive.default)(0)).toBe(false);
    expect((0, _isPositive.default)(-0)).toBe(false);
    expect((0, _isPositive.default)(-1)).toBe(false);
    expect((0, _isPositive.default)(-2)).toBe(false);
    expect((0, _isPositive.default)(-126)).toBe(false);
    expect((0, _isPositive.default)(-5665)).toBe(false);
    expect((0, _isPositive.default)(-56644325)).toBe(false);
  });
});