"use strict";

var _leastCommonMultiple = _interopRequireDefault(require("../leastCommonMultiple"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('leastCommonMultiple', () => {
  it('should find least common multiple', () => {
    expect((0, _leastCommonMultiple.default)(0, 0)).toBe(0);
    expect((0, _leastCommonMultiple.default)(1, 0)).toBe(0);
    expect((0, _leastCommonMultiple.default)(0, 1)).toBe(0);
    expect((0, _leastCommonMultiple.default)(4, 6)).toBe(12);
    expect((0, _leastCommonMultiple.default)(6, 21)).toBe(42);
    expect((0, _leastCommonMultiple.default)(7, 2)).toBe(14);
    expect((0, _leastCommonMultiple.default)(3, 5)).toBe(15);
    expect((0, _leastCommonMultiple.default)(7, 3)).toBe(21);
    expect((0, _leastCommonMultiple.default)(1000000, 2)).toBe(1000000);
    expect((0, _leastCommonMultiple.default)(-9, -18)).toBe(18);
    expect((0, _leastCommonMultiple.default)(-7, -9)).toBe(63);
    expect((0, _leastCommonMultiple.default)(-7, 9)).toBe(63);
  });
});