"use strict";

var _radianToDegree = _interopRequireDefault(require("../radianToDegree"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('radianToDegree', () => {
  it('should convert radian to degree', () => {
    expect((0, _radianToDegree.default)(0)).toBe(0);
    expect((0, _radianToDegree.default)(Math.PI / 4)).toBe(45);
    expect((0, _radianToDegree.default)(Math.PI / 2)).toBe(90);
    expect((0, _radianToDegree.default)(Math.PI)).toBe(180);
    expect((0, _radianToDegree.default)(3 * Math.PI / 2)).toBe(270);
    expect((0, _radianToDegree.default)(2 * Math.PI)).toBe(360);
  });
});