"use strict";

var _knuthMorrisPratt = _interopRequireDefault(require("../knuthMorrisPratt"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('knuthMorrisPratt', () => {
  it('should find word position in given text', () => {
    expect((0, _knuthMorrisPratt.default)('', '')).toBe(0);
    expect((0, _knuthMorrisPratt.default)('a', '')).toBe(0);
    expect((0, _knuthMorrisPratt.default)('a', 'a')).toBe(0);
    expect((0, _knuthMorrisPratt.default)('abcbcglx', 'abca')).toBe(-1);
    expect((0, _knuthMorrisPratt.default)('abcbcglx', 'bcgl')).toBe(3);
    expect((0, _knuthMorrisPratt.default)('abcxabcdabxabcdabcdabcy', 'abcdabcy')).toBe(15);
    expect((0, _knuthMorrisPratt.default)('abcxabcdabxabcdabcdabcy', 'abcdabca')).toBe(-1);
    expect((0, _knuthMorrisPratt.default)('abcxabcdabxaabcdabcabcdabcdabcy', 'abcdabca')).toBe(12);
    expect((0, _knuthMorrisPratt.default)('abcxabcdabxaabaabaaaabcdabcdabcy', 'aabaabaaa')).toBe(11);
  });
});