"use strict";

var _zAlgorithm = _interopRequireDefault(require("../zAlgorithm"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('zAlgorithm', () => {
  it('should find word positions in given text', () => {
    expect((0, _zAlgorithm.default)('abcbcglx', 'abca')).toEqual([]);
    expect((0, _zAlgorithm.default)('abca', 'abca')).toEqual([0]);
    expect((0, _zAlgorithm.default)('abca', 'abcadfd')).toEqual([]);
    expect((0, _zAlgorithm.default)('abcbcglabcx', 'abc')).toEqual([0, 7]);
    expect((0, _zAlgorithm.default)('abcbcglx', 'bcgl')).toEqual([3]);
    expect((0, _zAlgorithm.default)('abcbcglx', 'cglx')).toEqual([4]);
    expect((0, _zAlgorithm.default)('abcxabcdabxabcdabcdabcy', 'abcdabcy')).toEqual([15]);
    expect((0, _zAlgorithm.default)('abcxabcdabxabcdabcdabcy', 'abcdabca')).toEqual([]);
    expect((0, _zAlgorithm.default)('abcxabcdabxaabcdabcabcdabcdabcy', 'abcdabca')).toEqual([12]);
    expect((0, _zAlgorithm.default)('abcxabcdabxaabaabaaaabcdabcdabcy', 'aabaabaaa')).toEqual([11]);
  });
});