"use strict";

var _dpBottomUpJumpGame = _interopRequireDefault(require("../dpBottomUpJumpGame"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('dpBottomUpJumpGame', () => {
  it('should solve Jump Game problem in bottom-up dynamic programming manner', () => {
    expect((0, _dpBottomUpJumpGame.default)([1, 0])).toBe(true);
    expect((0, _dpBottomUpJumpGame.default)([100, 0])).toBe(true);
    expect((0, _dpBottomUpJumpGame.default)([2, 3, 1, 1, 4])).toBe(true);
    expect((0, _dpBottomUpJumpGame.default)([1, 1, 1, 1, 1])).toBe(true);
    expect((0, _dpBottomUpJumpGame.default)([1, 1, 1, 10, 1])).toBe(true);
    expect((0, _dpBottomUpJumpGame.default)([1, 5, 2, 1, 0, 2, 0])).toBe(true);
    expect((0, _dpBottomUpJumpGame.default)([1, 0, 1])).toBe(false);
    expect((0, _dpBottomUpJumpGame.default)([3, 2, 1, 0, 4])).toBe(false);
    expect((0, _dpBottomUpJumpGame.default)([0, 0, 0, 0, 0])).toBe(false);
    expect((0, _dpBottomUpJumpGame.default)([5, 4, 3, 2, 1, 0, 0])).toBe(false);
  });
});