"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = uniquePaths;

var _pascalTriangle = _interopRequireDefault(require("../../math/pascal-triangle/pascalTriangle"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @param {number} width
 * @param {number} height
 * @return {number}
 */
function uniquePaths(width, height) {
  const pascalLine = width + height - 2;
  const pascalLinePosition = Math.min(width, height) - 1;
  return (0, _pascalTriangle.default)(pascalLine)[pascalLinePosition];
}